/* Form Layout Styles */
.form-container {
  /* border: 1px solid deeppink; */
}

.form-container > h2 {
  margin-top: 0;
  text-align: center;
}

.form-group {
  margin-bottom: 2dvh;
}

.form-group:last-of-type {
  margin-bottom: 0;
}

.form-group > label {
  font-size: 1.25rem;
  font-family: Arial, Helvetica, sans-serif;
}

.form-group > input,
.form-group > textarea,
.form-group > select {
  border-radius: 10px;
  border: 1px solid #d9d9d9;
  font-size: 1.25rem;
  padding-left: 10px;
  font-family: Arial, Helvetica, sans-serif;
}

.form-group > input:focus,
.form-group > textarea:focus,
.form-group > select:focus {
  border-color: #b3d9ff;
  background-color: #ffff00;
}

.form-group > input:focus-visible,
.form-group > textarea:focus-visible,
.form-group > select:focus-visible {
  outline-color: #b3d9ff;
  outline-style: solid;
  outline-width: 3px;
}

.button-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
}

.login-signup-message {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 25px;
}

/* Form Visual Design Styles */
.login,
.signup {
  border-radius: 15px;
  background-color: rgb(225, 225, 225);
  box-shadow: 5px 6px 8px rgba(50, 50, 50, 0.75),
    -1px -1px 4px rgba(50, 50, 50, 0.75);
}

.btn-success {
  background-color: darkgreen;
  color: #fff;
  width: 150px;
  height: 50px;
  border-radius: 5px;
}

.btn-error {
  background-color: darkred;
  color: #fff;
  border-radius: 5px;
}

/* Form Validation Error Styles*/
.input-error {
  background-color: #ffcccc;
  border: 2px solid #8b0000 !important;
}

.error-icon {
  color: #8b0000;
}

.error-message {
  color: #8b0000;
  font-style: italic;
  font-weight: bold;
  font-family: Arial, Helvetica, sans-serif;
}

/* Form Icon Styles */
.form-group-icon {
  display: flex;
  align-items: center;
  padding-left: 5px;
}

/* Visibility Styles*/
.hidden {
  visibility: hidden;
}

.visible {
  visibility: visible;
}

/* Responsive Styles */
@media screen and (max-width: 768px) {
  .form-container {
    padding: 10px 15px;
  }

  .form-group {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: auto 50px auto;
    grid-template-areas:
      "l l l l l l"
      "i i i i i x"
      "p p p p p p";
  }

  .form-group > label {
    display: block;
    margin-bottom: 15px;
  }

  .form-group > input,
  .form-group > textarea,
  .form-group > select {
    grid-area: i;
  }

  .form-group-icon {
    grid-area: x;
  }

  .form-group > .form-validation-message {
    grid-area: p;
  }

  .login,
  .signup {
    padding: 10px;
  }

  .button-container {
    margin-bottom: 20px;
  }
}

@media screen and (min-width: 769px) and (max-width: 1024px) {
  .form-container {
    padding: 20px 30px;
  }

  .form-group {
    /* border: 1px solid blue; */
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 50px auto;
    grid-template-areas:
      "l l i i i i i i i i i x"
      ". . p p p p p p p p p p";
  }

  .form-group > label {
    grid-area: l;
    display: block;
    position: relative;
  }

  .form-group > label > span {
    position: absolute;
    bottom: 25%;
  }

  .form-group > input,
  .form-group > textarea,
  .form-group > select {
    grid-area: i;
  }

  .form-group-icon {
    grid-area: x;
  }

  .form-group > .form-validation-message {
    grid-area: p;
  }

  .login,
  .signup {
    padding: 50px;
  }
}

@media screen and (min-width: 1025px) {
  .form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px 30px;
  }

  .form-group {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 50px auto;
    grid-template-areas:
      "l l i i i i i i i i i x"
      ". . p p p p p p p p p p";
  }

  .form-group > label {
    grid-area: l;
    display: block;
    position: relative;
  }

  .form-group > label > span {
    position: absolute;
    bottom: 25%;
  }

  .form-group > input,
  .form-group > textarea,
  .form-group > select {
    grid-area: i;
  }

  .form-group-icon {
    grid-area: x;
  }

  .form-group > .form-validation-message {
    grid-area: p;
  }

  .login,
  .signup {
    width: 1000px;
    padding: 50px;
  }
}
